Package proton :: Module reactor :: Class Task

[frames] | no frames]

# Class Task

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
                     Task

Instance Methods

__init__(self, impl) x.__init__(...) initializes x; see help(type(x)) for signature | source code

cancel(self) | source code

Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

wrap(impl) | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, impl)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)